#pragma once

#include "input.h"
#include "playercontroller.h"

namespace kek {

class NoclipPlayerController: public PlayerController {

  public:
	float noclipSpeed = 6;

	KeyBinding keyForward = KEK_INVALID_ID;
	KeyBinding keyBackward = KEK_INVALID_ID;
	KeyBinding keyLeft = KEK_INVALID_ID;
	KeyBinding keyRight = KEK_INVALID_ID;
	KeyBinding keyUp = KEK_INVALID_ID;
	KeyBinding keyDown = KEK_INVALID_ID;

	glm::vec3 velocity = glm::vec3(0);

	NoclipPlayerController();
	virtual ~NoclipPlayerController();

	virtual glm::vec3 move(glm::vec3 movement);
	virtual void update();
};

}
